---
title: Transfers
slug: apis/payments/book-transfer/transfers
description: Initiate an internal transfer via POST /core/v1/transfers with source and destination accounts and amount.
icon: {"apiMethod":"POST"}
docTags: 
createdAt: 2025-07-22T06:51:41.782Z
---

## API reference

Transfer Funds is used to effect a book transfer within Cross River system.

:::ApiMethodV2
```json
{
  "name": "Endpoint: /core/v1/transfers",
  "method": "POST",
  "url": "https://sandbox.crbcos.com/core/v1/transfers",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "VPsDJpfIIQU-45GWL3A46",
        "language": "curl",
        "code": "curl --location 'https://sandbox.crbcos.com/core/v1/transfers' \\\n--header 'Idempotency-key: d0cc197f-0a68-4d39-9a10-7d24aabb2ae5' \\\n--header 'Content-Type: application/json' \\\n--header 'Authorization: Bearer token' \\\n--data '{\n  \"debitAccountNumber\": \"2151546989\",\n  \"creditAccountNumber\": \"2207975570\",\n  \"amount\": 2300,\n  \"currency\": \"usd\",\n  \"clientIdentifier\": \"d0cc197f-0a68-4d39-9a10-7d24aabb2ae5\",\n  \"flags\": []\n}",
        "customLabel": ""
      },
      {
        "id": "gGB08OiJiQI2YOUb-fTAw",
        "language": "nodejs",
        "code": "var https = require('follow-redirects').https;\nvar fs = require('fs');\n\nvar options = {\n  'method': 'POST',\n  'hostname': 'sandbox.crbcos.com',\n  'path': '/core/v1/transfers',\n  'headers': {\n    'Idempotency-key': 'd0cc197f-0a68-4d39-9a10-7d24aabb2ae5',\n    'Content-Type': 'application/json',\n    'Authorization': 'Bearer token'\n  },\n  'maxRedirects': 20\n};\n\nvar req = https.request(options, function (res) {\n  var chunks = [];\n\n  res.on(\"data\", function (chunk) {\n    chunks.push(chunk);\n  });\n\n  res.on(\"end\", function (chunk) {\n    var body = Buffer.concat(chunks);\n    console.log(body.toString());\n  });\n\n  res.on(\"error\", function (error) {\n    console.error(error);\n  });\n});\n\nvar postData = JSON.stringify({\n  \"debitAccountNumber\": \"2151546989\",\n  \"creditAccountNumber\": \"2207975570\",\n  \"amount\": 2300,\n  \"currency\": \"usd\",\n  \"clientIdentifier\": \"d0cc197f-0a68-4d39-9a10-7d24aabb2ae5\",\n  \"flags\": []\n});\n\nreq.write(postData);\n\nreq.end();",
        "customLabel": ""
      },
      {
        "id": "4SZZ7UZWQHOm05dPtCM56",
        "language": "python",
        "code": "import requests\nimport json\n\nurl = \"https://sandbox.crbcos.com/core/v1/transfers\"\n\npayload = json.dumps({\n  \"debitAccountNumber\": \"2151546989\",\n  \"creditAccountNumber\": \"2207975570\",\n  \"amount\": 2300,\n  \"currency\": \"usd\",\n  \"clientIdentifier\": \"d0cc197f-0a68-4d39-9a10-7d24aabb2ae5\",\n  \"flags\": []\n})\nheaders = {\n  'Idempotency-key': 'd0cc197f-0a68-4d39-9a10-7d24aabb2ae5',\n  'Content-Type': 'application/json',\n  'Authorization': 'Bearer eyJhbGciOiJSUzI1NiIsImtpZCI6IjdQREJ4dGVldl9IMXhpRk9XeEhVN19RRkdxNCIsIng1dCI6IjdQREJ4dGVldl9IMXhpRk9XeEhVN19RRkdxNCIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJodHRwczovL2lkcHRlc3QuY3JiY29zLmNvbSIsIm5iZiI6MTc1MTI4MDg2MCwiaWF0IjoxNzUxMjgwODYwLCJleHAiOjE3NTEyODQ0NjAsImF1ZCI6WyJodHRwczovL2FwaS5jcmJjb3MuY29tLyIsImh0dHBzOi8vaWRwdGVzdC5jcmJjb3MuY29tL3Jlc291cmNlcyJdLCJzY29wZSI6WyJjb3NzYngiLCJodHRwczovL2FwaS5jcmJjb3MuY29tLyJdLCJjbGllbnRfaWQiOiJiNzk5OTUxZDQ3ZWI0MTBkOTJiOWRhOTAxYjhmZmE2OSIsImp0aSI6IjMwMjRGMDkzMTMzQjZGOTFBOEYwMDU2QjA5ODBEMEQ4In0.KFOek-jYzDyydjcsbxcD7ozw-CoJmm2_JFJGF4_I0WgY7kdTTGS0ybfaB0QXZfrFhx6gbK-7sJyki5vcVtn94HER8anCk0g1j9kW9ZpgtlNCM_7h_ct2QgaWsiUL60PN8paJ07PmBUB20oyNf4QRXPnKjkc8EUTm4pgfX8l5vD76pFzAk8Gt8NcfAbJYuahAdHMykO1320xjv8PFewNJv8Jndi-vAcPfQ5N6bCtF9U4fLWJeQaDA3iVBM0Us6fAXsL5nwimzkUpF_g_TheWPniwYRXXHSlGSkpdZlpoZiZcFr3MIXuB2CAWXgSf_Gjix6drnD24Y4u2BKrjuJsOB6A'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n",
        "customLabel": ""
      },
      {
        "id": "XelAVo52pwLLlgDAJriXo",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://sandbox.crbcos.com/core/v1/transfers\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"Idempotency-key\"] = \"d0cc197f-0a68-4d39-9a10-7d24aabb2ae5\"\nrequest[\"Content-Type\"] = \"application/json\"\nrequest[\"Authorization\"] = \"Bearer token\"\nrequest.body = JSON.dump({\n  \"debitAccountNumber\": \"2151546989\",\n  \"creditAccountNumber\": \"2207975570\",\n  \"amount\": 2300,\n  \"currency\": \"usd\",\n  \"clientIdentifier\": \"d0cc197f-0a68-4d39-9a10-7d24aabb2ae5\",\n  \"flags\": []\n})\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      },
      {
        "id": "tUHx4tgqhQI5WlM5gTS3o",
        "language": "go",
        "code": "package main\n\nimport (\n  \"fmt\"\n  \"strings\"\n  \"net/http\"\n  \"io\"\n)\n\nfunc main() {\n\n  url := \"https://sandbox.crbcos.com/core/v1/transfers\"\n  method := \"POST\"\n\n  payload := strings.NewReader(`{`+\"\n\"+`\n  \"debitAccountNumber\": \"2151546989\",`+\"\n\"+`\n  \"creditAccountNumber\": \"2207975570\",`+\"\n\"+`\n  \"amount\": 2300,`+\"\n\"+`\n  \"currency\": \"usd\",`+\"\n\"+`\n  \"clientIdentifier\": \"d0cc197f-0a68-4d39-9a10-7d24aabb2ae5\",`+\"\n\"+`\n  \"flags\": []`+\"\n\"+`\n}`+\"\n\"+`\n`+\"\n\"+``)\n\n  client := &http.Client {\n  }\n  req, err := http.NewRequest(method, url, payload)\n\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  req.Header.Add(\"Idempotency-key\", \"d0cc197f-0a68-4d39-9a10-7d24aabb2ae5\")\n  req.Header.Add(\"Content-Type\", \"application/json\")\n  req.Header.Add(\"Authorization\", \"Bearer token\")\n\n  res, err := client.Do(req)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  defer res.Body.Close()\n\n  body, err := io.ReadAll(res.Body)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  fmt.Println(string(body))\n}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "VPsDJpfIIQU-45GWL3A46"
  },
  "results": {
    "languages": [
      {
        "id": "dAUy_ZtTXqghgMKqwJuJ7",
        "language": "200",
        "customLabel": "",
        "code": "{\n  \"id\": \"8a0e057d-b30b-4bae-9d82-b18c012905f2\",\n  \"traceNumber\": \"T241631401257I2I1\",\n  \"status\": \"Pending\",\n  \"debit\": {\n    \"transactionType\": \"Debit\",\n    \"accountType\": \"Deposit\",\n    \"masterAccountNumber\": \"2151546989\",\n    \"subAccountNumber\": \"2151546989\",\n    \"partnerId\": \"1e5d3f04-ae24-4af6-9e30-aecf012b99dd\",\n    \"productId\": \"cc62e17f-5912-483e-9e42-aed30112fbb6\",\n    \"activityId\": \"f428c44b-efe8-4b35-8d37-b18c012905f2\"\n  },\n  \"credit\": {\n    \"transactionType\": \"Credit\",\n    \"accountType\": \"Deposit\",\n    \"masterAccountNumber\": \"2207975570\",\n    \"subAccountNumber\": \"2207975570\",\n    \"partnerId\": \"1e5d3f04-ae24-4af6-9e30-aecf012b99dd\",\n    \"productId\": \"cc62e17f-5912-483e-9e42-aed30112fbb6\",\n    \"activityId\": \"d269b783-5e84-4b46-beba-b18c012905f2\"\n  },\n  \"transactionCode\": \"Account Transfer\",\n  \"amount\": 2300,\n  \"currency\": \"usd\",\n  \"description\": \"Internal Transfer from 2151546989 to 2207975570\",\n  \"rail\": \"Internal\",\n  \"railId\": \"0\",\n  \"clientIdentifier\": \"d0cc197f-0a68-4d39-9a10-7d24aabb2ae5\",\n  \"flags\": [],\n  \"schedule\": [],\n  \"proposedAt\": \"2024-06-11T14:01:25.70982-04:00\",\n  \"lastModifiedAt\": \"2024-06-11T14:01:25.70982-04:00\"\n}"
      }
    ],
    "selectedLanguageId": "dAUy_ZtTXqghgMKqwJuJ7"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [
      {
        "name": "debitAccountNumber",
        "kind": "required",
        "type": "string",
        "description": "Account number of the account to be debited",
        "": "Account number of the account to be debited"
      },
      {
        "name": "creditAccountNumber",
        "kind": "required",
        "type": "string",
        "description": "Account number of the account to be credited",
        "": "required"
      },
      {
        "name": "amount",
        "kind": "required",
        "type": "string",
        "description": "Dollar amount of transfer in positive integral cents. For example, $1.00 appears as 100.",
        "": "Dollar amount of transfer in positive integral cents. For example, $1.00 appears as 100."
      },
      {
        "name": "currency",
        "kind": "optional",
        "type": "string",
        "description": "Currency of the transfer amount",
        "": "Currency of the transfer amount"
      },
      {
        "name": "clientIdentifier",
        "kind": "optional",
        "type": "string",
        "description": "Use this attribute to add your own unique identifying string to a payment call or COS record. This attribute is useful for idempotency purposes.",
        "": "Use this attribute to add your own unique identifying string to a payment call or COS record. This attribute is useful for idempotency purposes."
      }
    ],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "hasTryItOut": false,
  "response": [
    {
      "name": "id",
      "kind": "optional",
      "type": "string",
      "description": "Unique ID for the transfer request. This ID is in the GUID format."
    },
    {
      "name": "traceNumber",
      "kind": "optional",
      "type": "string",
      "description": "Trace number for an original payment",
      "children": []
    },
    {
      "name": "status",
      "kind": "optional",
      "type": "string",
      "description": "The Cross River system transaction status: \n- Pending\n- Complete\n- Rejected\n- Review\n- Declined\n- Canceled\n- Processing",
      "children": []
    },
    {
      "name": "debit",
      "kind": "optional",
      "type": "object",
      "description": "",
      "children": [
        {
          "name": "transactionType",
          "kind": "optional",
          "type": "string",
          "description": "Debit"
        },
        {
          "name": "accountType",
          "kind": "optional",
          "type": "string",
          "description": "Type of account\n- NotSpecified\n- Savings\n- Checking\n- Account\n- Universal"
        },
        {
          "name": "masterAccountNumber",
          "kind": "optional",
          "type": "string",
          "description": "The account number of the debit account"
        },
        {
          "name": "subAccountNumber",
          "kind": "optional",
          "type": "string",
          "description": "Same as master account number"
        },
        {
          "name": "partnerId",
          "kind": "optional",
          "type": "string",
          "description": "Your unique ID in the Cross River system. This ID is in GUID format."
        },
        {
          "name": "activityId",
          "kind": "optional",
          "type": "string",
          "description": ""
        },
        {
          "name": "result",
          "kind": "optional",
          "type": "object",
          "description": "",
          "children": [
            {
              "name": "success",
              "kind": "optional",
              "type": "string",
              "description": ""
            },
            {
              "name": "code",
              "kind": "optional",
              "type": "string",
              "description": ""
            },
            {
              "name": "message",
              "kind": "optional",
              "type": "string",
              "description": ""
            }
          ]
        }
      ]
    },
    {
      "name": "credit",
      "kind": "optional",
      "type": "object",
      "description": "",
      "children": [
        {
          "name": "transactionType",
          "kind": "optional",
          "type": "string",
          "description": ""
        },
        {
          "name": "accountType",
          "kind": "optional",
          "type": "string",
          "description": ""
        },
        {
          "name": "masterAccountNumber",
          "kind": "optional",
          "type": "string",
          "description": ""
        },
        {
          "name": "subAccountNumber",
          "kind": "optional",
          "type": "string",
          "description": ""
        },
        {
          "name": "partnerId",
          "kind": "optional",
          "type": "string",
          "description": "Your unique ID in the Cross River system. This ID is in GUID format."
        },
        {
          "name": "productId",
          "kind": "optional",
          "type": "string",
          "description": ""
        },
        {
          "name": "activityId",
          "kind": "optional",
          "type": "string",
          "description": ""
        },
        {
          "name": "result",
          "kind": "optional",
          "type": "object",
          "description": "",
          "children": [
            {
              "name": "success",
              "kind": "optional",
              "type": "string",
              "description": ""
            },
            {
              "name": "code",
              "kind": "optional",
              "type": "string",
              "description": ""
            },
            {
              "name": "message",
              "kind": "optional",
              "type": "string",
              "description": ""
            }
          ]
        }
      ]
    },
    {
      "name": "transactionCode",
      "kind": "optional",
      "type": "string",
      "description": "",
      "children": []
    },
    {
      "name": "amount",
      "kind": "optional",
      "type": "string",
      "description": "",
      "children": []
    },
    {
      "name": "currency",
      "kind": "optional",
      "type": "string",
      "description": "",
      "children": []
    },
    {
      "name": "description",
      "kind": "optional",
      "type": "string",
      "description": "",
      "children": []
    },
    {
      "name": "rail",
      "kind": "optional",
      "type": "string",
      "description": "Internal",
      "children": []
    },
    {
      "name": "railId",
      "kind": "optional",
      "type": "string",
      "description": "",
      "children": []
    },
    {
      "name": "clientIdentifier",
      "kind": "optional",
      "type": "string",
      "description": "",
      "children": []
    },
    {
      "name": "flags",
      "kind": "optional",
      "type": "array",
      "description": "",
      "children": []
    },
    {
      "name": "schedule",
      "kind": "optional",
      "type": "string",
      "description": "",
      "children": []
    },
    {
      "name": "proposedAt",
      "kind": "optional",
      "type": "string",
      "description": "",
      "children": []
    },
    {
      "name": "executedAt",
      "kind": "optional",
      "type": "string",
      "description": "",
      "children": []
    },
    {
      "name": "canceledAt",
      "kind": "optional",
      "type": "string",
      "description": "",
      "children": []
    },
    {
      "name": "effectiveAt",
      "kind": "optional",
      "type": "string",
      "description": "",
      "children": []
    },
    {
      "name": "lastModifiedAt",
      "kind": "optional",
      "type": "string",
      "description": "Internal Cross River value. Date and time the database entry was last modified. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm]",
      "children": []
    }
  ],
  "autoGeneratedAnchorSlug": "endpoint-corev1transfers",
  "legacyHash": "9uYFYnwyLO8TfFRLCUWgS"
}
```
:::

